Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 503582 (CVE-2014-2270)

Summary: <sys-apps/file-5.18: out-of-bounds memory access when parsing Portable Executable (PE) format files (CVE-2014-2270)
Product: Gentoo Security Reporter: Agostino Sarubbo <ago>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: major CC: base-system, sudormrfhalt
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugzilla.redhat.com/show_bug.cgi?id=1072220
Whiteboard: A2 [glsa]
Package list:
Runtime testing required: ---
Attachments:
Description Flags
file-5.11-CVE-2014-2270.patch none

Description Agostino Sarubbo gentoo-dev 2014-03-06 08:18:21 UTC
From ${URL} :

A flaw was found in the way the file utility determined the type of Portable Executable (PE) format files, 
the executable format used on Windows. A malicious PE file could cause the file utility to crash or, 
potentially, execute arbitrary code.

Upstream report: http://bugs.gw.com/view.php?id=313

Upstream fix: https://github.com/glensc/file/commit/447558595a3650db2886cd2f416ad0beba965801

Additional File upstream commit:
https://github.com/glensc/file/commit/70c65d2e1841491f59168db1f905e8b14083fb1c


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Yury German Gentoo Infrastructure gentoo-dev 2014-03-31 17:20:44 UTC
This is fixed in version 5.18 as per their release information
Released 2014-03-26
http://bugs.gw.com/changelog_page.php
Comment 2 Kristian Fiskerstrand (RETIRED) gentoo-dev 2014-06-22 20:00:11 UTC
5.18-r1 and 5.19 both exists in tree. 

@maintainers: is =sys-apps/file-5.19 ready for stabilization?
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2014-06-27 21:28:04 UTC
CVE-2014-2270 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2014-2270):
  softmagic.c in file before 5.17 and libmagic allows context-dependent
  attackers to cause a denial of service (out-of-bounds memory access and
  crash) via crafted offsets in the softmagic of a PE executable.
Comment 4 Andrey Ovcharov 2014-07-27 19:07:33 UTC
Created attachment 381674 [details, diff]
file-5.11-CVE-2014-2270.patch
Comment 5 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2014-08-09 20:20:37 UTC
@base-system, ping. Is it ready to go stable?
Comment 6 Kristian Fiskerstrand (RETIRED) gentoo-dev 2015-03-14 14:01:56 UTC
sys-apps/file-5.22 already stable in tree, adding to existing GLSA draft along with bug 532768
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2015-03-16 19:44:02 UTC
This issue was resolved and addressed in
 GLSA 201503-08 at https://security.gentoo.org/glsa/201503-08
by GLSA coordinator Mikle Kolyada (Zlogene).